Debian Bug report logs - #535322
pinfo: inappropriately ships /usr/share/info/dir.gz

version graph

Package: pinfo; Maintainer for pinfo is Bas Zoetekouw <bas@debian.org>; Source for pinfo is src:pinfo.

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Wed, 1 Jul 2009 14:42:05 UTC

Severity: serious

Found in version pinfo/0.6.9-3.1

Fixed in version pinfo/0.6.9-4

Done: Bas Zoetekouw <bas@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, Bas Zoetekouw <bas@debian.org>:
Bug#535322; Package pinfo. (Wed, 01 Jul 2009 14:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, Bas Zoetekouw <bas@debian.org>. (Wed, 01 Jul 2009 14:42:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pinfo: inappropriately ships /usr/share/info/dir.gz
Date: Wed, 01 Jul 2009 10:30:24 -0400
Package: pinfo
Version: 0.6.9-3.1
Severity: serious
Justification: Policy 6.6(4)

pinfo inappropriately ships /usr/share/info/dir.gz, leading to a file
conflict with the latest version of libcln-dev, not to mention
checksum mismatches on account of its autogeneration.  The last time I
encountered such a bug (back in 2006), it was symptomatic of using
old, broken versions of automake, per #214769; however, pinfo has only
recently gained the file, so it's likely that the recent install-info
transition somehow threw it (or some other build system component) off.

At any rate, could you please leave it out?

Thanks!

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pinfo depends on:
ii  install-info              4.13a.dfsg.1-4 Manage installed documentation in 
ii  libc6                     2.9-18         GNU C Library: Shared libraries
ii  libncursesw5              5.7+20090530-1 shared libraries for terminal hand
ii  libreadline5              5.2-5          GNU readline and history libraries

pinfo recommends no packages.

Versions of packages pinfo suggests:
ii  balsa [mail-re 2.3.28-1                  An e-mail client for GNOME
ii  chimera2 [www- 2.0a19-5                  Web browser for X
ii  claws-mail [ma 3.7.1-2                   Fast, lightweight and user-friendl
ii  cone [mail-rea 0.77-2                    COnsole Newsreader and Emailer
ii  conkeror [www- 0.9~git090624-1           keyboard focused web browser with 
ii  cups-bsd [lpr] 1.3.10-5                  Common UNIX Printing System(tm) - 
ii  dillo [www-bro 0.8.6-3                   Small and fast web browser
ii  elinks [www-br 0.12~pre4-1               advanced text-mode WWW browser
ii  elmo [mail-rea 1.3.0-1.2                 text-based mail-reader supporting 
ii  emacs [mail-re 22.3+1-1                  The GNU Emacs editor (metapackage)
ii  emacs21 [mail- 21.4a+1-5.6               The GNU Emacs editor
ii  emacs22-gtk [m 22.3+1-1                  The GNU Emacs editor (with GTK use
ii  epiphany-gecko 2.26.1-1                  Intuitive GNOME web browser - Geck
ii  epiphany-webki 2.27.3-1                  Intuitive GNOME web browser - WebK
ii  evolution [mai 2.26.2-2                  groupware suite with mail client a
ii  galeon [www-br 2.0.7-1                   GNOME web browser for advanced use
ii  gnus [mail-rea 5.11+v0.5.dfsg-3          A versatile news and mail reader f
ii  iceape-browser 1.1.14-1                  Iceape Navigator (Internet browser
ii  icedove [mail- 2.0.0.19-1                free/unbranded thunderbird mail/ne
ii  iceweasel [www 3.0.11-1                  lightweight web browser based on M
ii  im [mail-reade 1:149-2                   mail/news handling commands and Pe
ii  jed [mail-read 1:0.99.18+dfsg.1-13       editor for programmers (textmode v
ii  kazehakase [ww 0.5.4-2.2                 GTK+-base web browser that allows 
ii  kmail [mail-re 4:4.2.4-1                 KDE Email client
ii  konqueror [www 4:4.2.4-1                 KDE 4's advanced file manager, web
ii  links [www-bro 2.2-1+b1                  Web browser running in text mode
ii  links2 [www-br 2.2-1+b1                  Web browser running in both graphi
ii  lynx-cur [www- 2.8.7pre6-1               Text-mode WWW Browser with NLS sup
ii  mailutils [mai 1:2.0+dfsg1-2+b1          GNU mailutils utilities for handli
ii  mailutils-mh [ 1:2.0+dfsg1-2+b1          GNU mailutils-based MH utilities
ii  mew [mail-read 1:6.2-1                   mail reader supporting PGP/MIME fo
ii  mew-bin [mail- 1:6.2-1                   external commands for Mew
ii  midori [www-br 0.1.7-1                   fast, lightweight graphical web br
ii  mutt [mail-rea 1.5.20-2                  text-based mailreader supporting M
ii  netrik [www-br 1.15.7-2.1                text mode WWW browser with vi like
ii  netsurf [www-b 1.2-1+b1                  Small portable web browser with CS
ii  nmh [mail-read 1.3-1                     A set of electronic mail handling 
ii  sylpheed [mail 2.6.0-3+b1                Light weight e-mail client with GT
ii  tkrat [mail-re 1:2.2cvs20061117-dfsg-1.1 Mail user agent with POP, IMAP, mh
ii  vm [mail-reade 8.0.12-2                  A mail user agent for Emacs.
ii  w3m [www-brows 0.5.2-2+b1                WWW browsable pager with excellent
ii  xemacs21-mule  21.4.22-2                 highly customizable text editor --
ii  xemacs21-nomul 21.4.22-2                 highly customizable text editor --
ii  xjed [mail-rea 1:0.99.18+dfsg.1-13       editor for programmers (x11 versio

-- no debconf information

-- debsums errors found:
debsums: checksum mismatch pinfo file /usr/share/info/dir.gz




Reply sent to Bas Zoetekouw <bas@debian.org>:
You have taken responsibility. (Fri, 03 Jul 2009 10:57:04 GMT) Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. (Fri, 03 Jul 2009 10:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 535322-close@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: 535322-close@bugs.debian.org
Subject: Bug#535322: fixed in pinfo 0.6.9-4
Date: Fri, 03 Jul 2009 10:17:42 +0000
Source: pinfo
Source-Version: 0.6.9-4

We believe that the bug you reported is fixed in the latest version of
pinfo, which is due to be installed in the Debian FTP archive:

pinfo_0.6.9-4.diff.gz
  to pool/main/p/pinfo/pinfo_0.6.9-4.diff.gz
pinfo_0.6.9-4.dsc
  to pool/main/p/pinfo/pinfo_0.6.9-4.dsc
pinfo_0.6.9-4_amd64.deb
  to pool/main/p/pinfo/pinfo_0.6.9-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 535322@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bas Zoetekouw <bas@debian.org> (supplier of updated pinfo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 03 Jul 2009 11:17:28 +0200
Source: pinfo
Binary: pinfo
Architecture: source amd64
Version: 0.6.9-4
Distribution: unstable
Urgency: low
Maintainer: Bas Zoetekouw <bas@debian.org>
Changed-By: Bas Zoetekouw <bas@debian.org>
Description: 
 pinfo      - An alternative info-file viewer
Closes: 358996 535322
Changes: 
 pinfo (0.6.9-4) unstable; urgency=low
 .
   * Acknowlegde NMU upload (thanks Norbert!)
   * Move to standards-version 3.8.2
     - Add Homepage field to control file
   * Change Suggests on cupsys-bsd to cups-bsd
   * Move pinfo from the "Apps/Text" menu to "Help"
   * By default, don't clear the screen on exit (Thanks to Justin Pryzby)
     (Closes: #358996) [01_pinforc.dpatch]
   * Also build-depend on install-info
   * Make sure /usr/share/info/dir(.gz)? isn't shipped in the package
     (Closes: #535322)
Checksums-Sha1: 
 60f869cf62f794b4b136b72fab0fd44a0ade9141 1039 pinfo_0.6.9-4.dsc
 b9290e05ccc4bda1e51bbc2a0507e41fae8eaf68 9594 pinfo_0.6.9-4.diff.gz
 09a65ac360d386032c1cbb630abbf05b747414d8 89808 pinfo_0.6.9-4_amd64.deb
Checksums-Sha256: 
 8eace73b2d80b485121eecdaccd5df2320fa269904e7ad81205513fae0902ad8 1039 pinfo_0.6.9-4.dsc
 be2fee4ce84f789fa816eb954a43d75bc47cf9bc04d58bf62e2f38309c676aac 9594 pinfo_0.6.9-4.diff.gz
 2adc82ddb5e4fb0b6fe76bf1a6d217ffb8e23a7c31ad22555ffa37175b6b4fb8 89808 pinfo_0.6.9-4_amd64.deb
Files: 
 5931b936abac35c696cffb15226cab27 1039 doc optional pinfo_0.6.9-4.dsc
 e5e7b563f778e575fcd06f3a8b70cee9 9594 doc optional pinfo_0.6.9-4.diff.gz
 1331f630a77af775ec453fcb4694516a 89808 doc optional pinfo_0.6.9-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKTdkEK67kHwZE+rcRArJ2AJ0UhsywhbJiza4Fz49H0hfq1HtToACgilk1
8Ajo1mH8sMpNd7+CjK55kTU=
=lLxb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Aug 2009 07:26:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:20:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.